Subject: bug#74561: [PATCH] Allow limiting the size of *Completions*

From: Spencer Baugh <[email-masked]>
Date: Sat, 15 Feb 2025 14:37:20 +0000 (UTC)

Stefan Monnier <[email-masked]> writes:
>> In the process, I realized that this optimization doesn't help
>> completions-format=vertical without a lot of effort, since that fills
>> the entire first column before continuing to the second column.
>
> FWIW, maybe we should change this behavior so instead of filling
> column-by-column we fill line-by-line.
>
> When the result completely fits in the *Completions* window, the current
> behavior is arguably superior (assuming alphabetical sorting: it tends
> to make it easier to see the common prefixes), but for longer
> completion lists I don't like it very much.

I'm not sure what you mean.

completions-format=vertical looks like:
A    D    G
B    E    H
C    F    I

completions-format=horizontal looks like:
A    B    C
D    E    F
G    H    I

Is your suggestion that completions-format=vertical should look like the
second one?  But then what would be the point of it as a separate category?